Welke MySQL versie heb ik?

Stel hier je vragen met betrekking tot PHP, MySQL, HTML, CSS en JavaScript.
Forumregels
Check eerst even onze handleiding (http://help.antagonist.nl/) voordat je hier je vraag stelt. Voor de meeste problemen hebben we een oplossing met een zeer uitgebreide uitleg.

Welke MySQL versie heb ik?

Berichtdoor Vandercline » 21 jul 2017, 14:19

Goedendag,

Sinds enkele maanden zie ik in Joomla-backend berichten dat de PHPversie en MySQL versie aangepast moeten worden. Sinds kort heb ik een resellerspakket, en ik heb zonder problemen de PHP versie kunnen aanpassen.

Echter, met betrekking tot de databases wordt voor toekomstige Joomlaversies MySQLi aangeraden. Voor zover ik het kan nazien draait alles nog op MySQL. Moet ik stappen ondernemen, en zo ja, welke zijn dat?

Server: Localhost via UNIX socket
Servertype: MariaDB
Serverversie: 10.0.29-MariaDB-cll-lve - MariaDB Server
Protocolversie: 10
Gebruiker: ******
Karakterset van server: UTF-8 Unicode (utf8)

Webserver

Apache
Client-versie van databank: libmysql - mysqlnd 5.0.11-dev - 20120503 - $Id: *******
PHP-uitbreiding: mysqli Documentatie
Vandercline
 
Berichten: 37
Geregistreerd: 16 jan 2009, 11:49

Re: Welke MySQL versie heb ik?

Berichtdoor Marieke Wientjes » 21 jul 2017, 15:38

Goedemiddag!

Het inschakelen van MySQLi is mogelijk via de PHP-selector: https://www.antagonist.nl/help/nl/webho ... p-selector

Daarnaast zul je dit ook moeten aanpassen binnen je Joomla zelf:
In het Joomla! configuration.php-bestand staat standaard: public $dbtype = 'mysql';
Verander dit naar mysqli: public $dbtype = 'mysqli';
Met vriendelijke groet,

Marieke Wientjes
Antagonist staff
Avatar gebruiker
Marieke Wientjes
Antagonist staff
 
Berichten: 3
Geregistreerd: 07 feb 2017, 10:46


Keer terug naar Scripting

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers. en 1 gast